### Function

# GdkPixbuf Pixbuf init_modules

#### Declaration [src]

    gboolean
    gdk_pixbuf_init_modules (
      const char* path,
      GError** error
    )

#### Description [src]

Initalizes the gdk-pixbuf loader modules referenced by the `loaders.cache` file present inside that directory.

This is to be used by applications that want to ship certain loaders in a different location from the system ones.

This is needed when the OS or runtime ships a minimal number of loaders so as to reduce the potential attack surface of carefully crafted image files, especially for uncommon file types. Applications that require broader image file types coverage, such as image viewers, would be expected to ship the gdk-pixbuf modules in a separate location, bundled with the application in a separate directory from the OS or runtime- provided modules.

Available since: | 2.40

#### Parameters

`path` | `const char*`
| Path to directory where the `loaders.cache` is installed.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.